<solidify-empty-container (onEnter)="selectedDepositPerson ? submit(selectedDepositPerson) :''"
                          solidifyShortCuts
>
  <solidify-base-action-dialog [titleToTranslate]="'deposit.popup.person.alternative.title' | translate">
    <div class="explanation">{{'deposit.popup.person.alternative.explanation' | translate}}</div>
    <div class="warning">{{'deposit.popup.person.alternative.warning' | translate}}</div>

    <h3 mat-subheader>{{'deposit.popup.person.alternative.subtitle.yourInput' | translate}}</h3>
    <ul class="list your-input">
      <li (click)="select(data.newPerson, true)"
          (onEnter)="select(data.newPerson, true)"
          [class.is-active]="isSelected(data.newPerson)"
          [tabIndex]="0"
          solidifyShortCuts
      >
        <solidify-icon [iconName]="iconNameEnum.personAdd"
                       class="icon"
        ></solidify-icon>
        <div class="person-infos">
          <h4 class="fullname"><span class="firstName">{{data.newPerson.firstName}}</span> {{data.newPerson.lastName}}</h4>
          <div>{{data.newPerson.orcid}}</div>
        </div>
      </li>
    </ul>
    <h3 mat-subheader>{{'deposit.popup.person.alternative.subtitle.matchingPersons' | translate}}</h3>
    <ul class="list"
    >
      <li (click)="select(person, false)"
          (onEnter)="select(person, true)"
          *ngFor="let person of data.listExistingPerson"
          [class.is-active]="isSelected(person)"
          [tabIndex]="0"
          solidifyShortCuts
      >
        <solidify-icon [iconName]="iconNameEnum.peoples"
                       class="icon"
        ></solidify-icon>
        <div class="person-infos">
          <h4 class="fullname"><span class="firstName">{{person.firstName}}</span> {{person.lastName}}</h4>
          <div>
            <solidify-icon *ngIf="person.orcid"
                           [iconName]="iconNameEnum.orcid"
                           class="size-16 image-orcid"
            >
            </solidify-icon>
            {{person.orcid}}
          </div>
          <ul class="institution-list">
            <li *ngFor="let institution of person.institutions">{{institution.name}}</li>
          </ul>
        </div>
      </li>
    </ul>
  </solidify-base-action-dialog>
  <div mat-dialog-actions>
    <button [mat-dialog-close]=""
            [solidifyAutoFocus]="true"
            mat-button
            color="primary"
    >{{labelTranslateEnum.close | translate}}
    </button>
    <button (click)="submit(selectedDepositPerson)"
            [disabled]="!selectedDepositPerson"
            color="primary"
            mat-flat-button
    >{{labelTranslateEnum.add | translate}}
    </button>
  </div>
</solidify-empty-container>
